#include "StdAfx.h"

#include "Config.h"
#include "TidyProxy.h"

//-------------------------------------------------------------------
void CConfig::Reset()
{
	m_Doctype = "auto";
	m_TidyMark = true;
	m_HideEndtags = false;
	m_EncloseText = false;
	m_EncloseBlockText = false;
	m_NewEmptyTags = "";
	m_NewInlineTags = "";
	m_NewBlocklevelTags = "";
	m_NewPreTags = "";

	m_Clean = false;
	m_DropFontTags = false;
	m_LogicalEmphasis = false;
	m_DropEmptyParas = true;
	m_Word2000 = false;
	m_FixBadComments = true;
	m_FixBackslash = true;
	m_AltText = "";

	m_InputXml = false;
	m_OutputXml = false;
	m_OutputXhtml = false;
	m_AddXmlDecl = false;
	m_AssumeXmlProcins = false;

	m_CharEncoding = Enc_ASCII;
	m_NumericEntities = false;
	m_QuoteMarks = false;
	m_QuoteNbsp = true;
	m_QuoteAmpersand = true;

	m_Indent = NoIndent;
	m_IndentSpaces = 2;
	m_Wrap = 68;
	m_TabSize = 4;
	m_IndentAttributes = false;
	m_WrapAttributes = false;
	m_WrapScriptLiterals = false;
	m_WrapAsp = true;
	m_WrapJste = true;
	m_WrapPhp = true;
	m_BreakBeforeBr = false;
	m_UppercaseTags = false;
	m_UppercaseAttributes = false;

	m_Markup = false;
	m_Quiet = false;
	m_ShowWarnings = true;
	m_Split = false;
	m_WriteBack = false;
	m_KeepTime = true;
	m_ErrorFile = "";
}
